Package org.codehaus.plexus.util

## Class MatchPatterns

- java.lang.Object
- - org.codehaus.plexus.util.MatchPatterns

    public class MatchPatterns
    extends java.lang.Object

A list of patterns to be matched

Author:
  Kristian Rosenvold

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MatchPatterns` `from​(java.lang.Iterable<java.lang.String> strings)`
`static MatchPatterns` `from​(java.lang.String... sources)`
`boolean` `matches​(java.lang.String name, boolean isCaseSensitive)` Checks these MatchPatterns against a specified string.
`boolean` `matches​(java.lang.String name, java.lang.String[] tokenizedName, boolean isCaseSensitive)`
`boolean` `matchesPatternStart​(java.lang.String name, boolean isCaseSensitive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### matches

    public boolean matches​(java.lang.String name,
                           boolean isCaseSensitive)

Checks these MatchPatterns against a specified string.

Uses far less string tokenization than any of the alternatives.

Parameters:
  `name` - The name to look for
  `isCaseSensitive` - If the comparison is case sensitive
Returns:
  true if any of the supplied patterns match

#### matches

    public boolean matches​(java.lang.String name,
                           java.lang.String[] tokenizedName,
                           boolean isCaseSensitive)

#### matchesPatternStart

    public boolean matchesPatternStart​(java.lang.String name,
                                       boolean isCaseSensitive)

#### from

    public static MatchPatterns from​(java.lang.String... sources)

#### from

    public static MatchPatterns from​(java.lang.Iterable<java.lang.String> strings)